// const fs = require('fs');
// const util = require('util');
import fs from 'node:fs';
import util from 'node:util';

// util.promisify fängt das letzte Argument als Callback-Funktion ab und ummantel die Funktion mit einem Promise-Objekt.
// Das ummantelte Promise-Objekt wird zusätzlich von einer weiteren Funktion mit den Argumenten ummantelt.

// https://javascript.info/promisify
// https://medium.com/trabe/understanding-nodes-promisify-and-callbackify-d2b04efde0e0

const getFileContent = util.promisify(fs.readFile);

getFileContent('data/file.txt', 'utf8')
  .then((data) => console.log(data))
  .catch((err) => console.error(`Something went wrong: ${err}`));
